# **************************
# $1  o login do system oracle
# $2  o diretorio do backup
# $3  o banco
# $4  o Diretorio a fazer backup
# **************************
DIR_BACKUP=$2
ARQUIVO_BD="$DIR_BACKUP/$3/$3.dmp"
LOG_BD="$ARQUIVO_BD.log"
mkdir $DIR_BACKUP/$3
chmod 0777 $DIR_BACKUP/$3
cp -R $4 $DIR_BACKUP/$3
chown -R -v nobody:nobody $DIR_BACKUP/$3 #> $DIR_BACKUP/$3/log_chown.txt
cd $DIR_BACKUP
rm -rf $3_10.zip
mv $3_9.zip $3_10.zip
mv $3_8.zip $3_9.zip
mv $3_7.zip $3_8.zip
mv $3_6.zip $3_7.zip
mv $3_5.zip $3_6.zip
mv $3_4.zip $3_5.zip
mv $3_3.zip $3_4.zip
mv $3_2.zip $3_3.zip
mv $3_1.zip $3_2.zip
mv $3.zip $3_1.zip

su - oracle "-c exp $1 file=$ARQUIVO_BD OWNER=$3 statistics=none log=$LOG_BD"

SCRIPTLOG=$DIR_BACKUP/VER_BACKUP.sql
echo "BEGIN $3.VALIDA_LOG_BACKUP('$DIR_BACKUP/$3','$LOG_BD'); END;" > $SCRIPTLOG
echo "/" >> $SCRIPTLOG
echo "EXIT;" >> $SCRIPTLOG
su - oracle "-c sqlplus -s $1 @$SCRIPTLOG"
rm -rf $SCRIPTLOG

gzip --quiet --force $ARQUIVO_BD
cd $DIR_BACKUP
zip -r -1 $3.zip $3 > $DIR_BACKUP/$3/log_compactacao.txt
rm -rf $DIR_BACKUP/$3
